import request from '@/utils/request'

// 查询舆情处置列表
export function listSentiment(query) {
  return request({
    url: '/system/sentiment/list',
    method: 'get',
    params: query
  })
}

// 查询舆情处置详细
export function getSentiment(sentimentId) {
  return request({
    url: '/system/sentiment/' + sentimentId,
    method: 'get'
  })
}

// 新增舆情处置
export function addSentiment(data) {
  return request({
    url: '/system/sentiment',
    method: 'post',
    data: data
  })
}

// 修改舆情处置
export function updateSentiment(data) {
  return request({
    url: '/system/sentiment',
    method: 'put',
    data: data
  })
}

// 删除舆情处置
export function delSentiment(sentimentId) {
  return request({
    url: '/system/sentiment/' + sentimentId,
    method: 'delete'
  })
}

// 导出舆情处置
export function exportSentiment(query) {
  return request({
    url: '/system/sentiment/export',
    method: 'get',
    params: query
  })
}

export function sentimentSummaryAnalysisMethodTableViews(query) {
  return request({
    url: '/system/sentiment/sentimentSummaryAnalysisMethodTableViews' ,
    method: 'get',
    params: query
  })
}


export function sentimentSummaryAnalysisExport(data) {
  return request({
    url: '/system/sentiment/sentimentSummaryAnalysisExport' ,
    method: 'post',
    data: data,
    responseType:'blob'
  })
}
